"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveParameterKey = exports.resolveSecretKey = exports.resolveResourceName = void 0;
const resolveResourceName = (resourceName, awsResourceMap) => {
    return awsResourceMap.resourceNameMap[resourceName] || resourceName;
};
exports.resolveResourceName = resolveResourceName;
const resolveSecretKey = (secretName, awsResourceMap) => {
    return awsResourceMap.secretNameMap[secretName] || secretName;
};
exports.resolveSecretKey = resolveSecretKey;
const resolveParameterKey = (parameterName, awsResourceMap) => {
    return awsResourceMap.parameterNameMap[parameterName] || parameterName;
};
exports.resolveParameterKey = resolveParameterKey;
